Subject: Re: bug#74281: 30.0.91; font-lock mode hangs on scrolling large Scheme file

From: Divya Ranjan <[email-masked]>
Date: Thu, 14 Nov 2024 11:09:41 +0000

> I don't understand the question: I thought I pointed at the possible cause by mentioning syntax-directed font lock?

I meant you said the emacs build is "unoptimized", what can be optimized?

Regards,

On 14 November 2024 10:06:41 GMT, Eli Zaretskii <[email-masked]> wrote:
>> From: Divya Ranjan <[email-masked]>
>> Cc: Stefan Monnier <[email-masked]>,  [email-masked]
>> Date: Thu, 14 Nov 2024 09:32:12 +0000
>> 
>> Hello, Eli
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> Date: Sat, 09 Nov 2024 16:04:13 +0000
>> >> From:  Divya Ranjan via "Bug reports for GNU Emacs,
>> >>  the Swiss army knife of text editors" <[email-masked]>
>> >> 
>> >> 
>> >> 1. In emacs -Q, open a fairly big Scheme file (> 70k) and try to move in
>> >> the file with C-n, C-f or mouse scrolling. It sverely lags for several
>> >> seconds, doesn’t even respond to C-g.
>> >
>> > I can only reproduce this with C-p when moving from the end of the
>> > file.  C-n and C-f are instantaneous here, even though this is an
>> > unoptimized build of Emacs 30.
>> 
>> I see, well its the latest build of emacs on GNU Guix, so yeah. Which lacking features in particular do you think might be causing this?
>
>I don't understand the question: I thought I pointed at the possible
>cause by mentioning syntax-directed font lock?
>
>
>

Divya Ranjan, Mathematics, Philosophy and Libre Software